Bug 1721570 - opensips-2.4.6-1.fc31 FTBFS: Illegal char ')' (0x29) in: Obsoletes:opensips-cpl-c(aarch-64) < 2.2.2-1
Summary: opensips-2.4.6-1.fc31 FTBFS: Illegal char ')' (0x29) in: Obsoletes:opensips-c...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: opensips
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-18 14:59 UTC by Petr Pisar
Modified: 2019-12-29 15:52 UTC (History)
4 users (show)

Fixed In Version: opensips-2.4.6-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-27 05:31:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2019-06-18 14:59:24 UTC
opensips-2.4.6-1.fc31 fails to build in F31 because recent rpm-build refuses Obsoletes: tags with a parentheses character:

Executing command: ['bash', '--login', '-c', '/usr/bin/rpmbuild -bs --target aarch64 --nodeps /builddir/build/SPECS/opensips.spec'] with env {'TERM': 'vt100', 'SHELL': '/bin/bash', 'HOME': '/builddir', 'HOSTNAME': 'mock', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'PROMPT_COMMAND': 'printf "\\033]0;<mock-chroot>\\007"', 'PS1': '<mock-chroot> \\s-\\v\\$ ', 'LANG': 'C.UTF-8'} and shell False
BUILDSTDERR: warning: line 55: It's not recommended to have unversioned Obsoletes: Obsoletes: opensips-auth_diameter
BUILDSTDERR: warning: line 56: It's not recommended to have unversioned Obsoletes: Obsoletes: opensips-event_datagram
BUILDSTDERR: warning: line 57: It's not recommended to have unversioned Obsoletes: Obsoletes: opensips-mi_xmlrpc
BUILDSTDERR: warning: line 58: It's not recommended to have unversioned Obsoletes: Obsoletes: opensips-xmlrpc
BUILDSTDERR: warning: line 122: It's not recommended to have unversioned Obsoletes: Obsoletes: opensips-memcached
BUILDSTDERR: warning: line 144: It's not recommended to have unversioned Obsoletes: Obsoletes: opensips-redis
BUILDSTDERR: error: line 194: Illegal char ')' (0x29) in: Obsoletes:opensips-cpl-c(aarch-64) < 2.2.2-1
BUILDSTDERR: error: line 194: Only package names are allowed in Obsoletes: Obsoletes:opensips-cpl-c(aarch-64) < 2.2.2-1

Comment 1 Petr Pisar 2019-06-27 05:31:26 UTC
I removed %{?_isa} from the Obsoletes and added a Provides without %{?_isa}.

You should also correct the unversiones Obsoletes. They should carry a version constrain. That enables introducing them (revoking the obsoletence) later.


Note You need to log in before you can comment on or make changes to this bug.